Package ru.bitel.bgbilling.modules.voice.server.bean

# Class VoiceSessionExporter

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.voice.server.bean.VoiceSessionExporter

public class VoiceSessionExporter extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceSessionExporter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InputStream`
  `csvDetailExport(Result<SessionDetail<SessionDetail<SessionDetailReportItem>>> result, char separator)`
  `InputStream`
  `csvExport(Result<VoiceSession> sessionLogContractList, char separator, Map<Integer,VoiceDestination> destinationsMap)`
  `InputStream`
  `htmlDetailExport(Contract contract, Period period, Result<?> result, jakarta.servlet.ServletContext context)`
  `InputStream`
  `htmlSessionExport(Contract contract, Period period, Result<?> result, jakarta.servlet.ServletContext context, Map<Integer,VoiceDestination> destinationMap)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoiceSessionExporter

    public VoiceSessionExporter()

- ## Method Details

  - ### htmlDetailExport

    public InputStream htmlDetailExport(Contract contract, Period period, Result<?> result, jakarta.servlet.ServletContext context) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### htmlSessionExport

    public InputStream htmlSessionExport(Contract contract, Period period, Result<?> result, jakarta.servlet.ServletContext context, Map<Integer,VoiceDestination> destinationMap) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### csvExport

    public InputStream csvExport(Result<VoiceSession> sessionLogContractList, char separator, Map<Integer,VoiceDestination> destinationsMap) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### csvDetailExport

    public InputStream csvDetailExport(Result<SessionDetail<SessionDetail<SessionDetailReportItem>>> result, char separator) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`